## lightning-extension 1.7~b3+build1

=== docs/requirements.txt ===
.. _`requirements-files`:

==================
Requirements files
==================

When installing software, and Python packages in particular, it's common that
you get a lot of libraries installed.  You just did ``easy_install MyPackage``
and you get a dozen packages.  Each of these packages has its own version.

Maybe you ran that installation and it works.  Great!  Will it keep working?
Did you have to provide special options to get it to find everything?  Did you
have to install a bunch of other optional pieces?  Most of all, will you be able
to do it again?  Requirements files give you a way to create an *environment*:
a *set* of packages that work together.

If you've ever tried to setup an application on a new system, or with slightly
updated pieces, and had it fail, pip requirements are for you.  If you
haven't had this problem then you will eventually, so pip requirements are
for you too -- requirements make explicit, repeatable installation of packages.

So what are requirements files?  They are very simple: lists of packages to
install.  Instead of running something like ``pip install MyApp`` and
getting whatever libraries come along, you can create a requirements file
something like::

    MyApp
    Framework==0.9.4
    Library>=0.2

If you save this in ``requirements.txt``, then you can ``pip install -r
requirements.txt``.  Regardless of what MyApp lists in ``setup.py``, you'll
get a specific version of Framework (0.9.4) and at least the 0.2 version of
Library.  (You might think you could list these specific versions in MyApp's
``setup.py`` -- but if you do that you'll have to edit MyApp if you want to
try a new version of Framework, or release a new version of MyApp if you
determine that Library 0.3 doesn't work with your application.) You can also
add optional libraries and support tools that MyApp doesn't strictly
require, giving people a set of recommended libraries.

You can also include "editable" packages -- packages that are checked out from
Subversion, Git, Mercurial and Bazaar.  These are just like using the ``-e``
option to pip.  They look like::

    -e svn+http://myrepo/svn/MyApp#egg=MyApp

You have to start the URL with ``svn+`` (``git+``, ``hg+`` or ``bzr+``), and
you have to include ``#egg=Package`` so pip knows what to expect at that URL.
You can also include ``@rev`` in the URL, e.g., ``@275`` to check out
revision 275.

Requirement files are mostly *flat*.  Maybe ``MyApp`` requires
``Framework``, and ``Framework`` requires ``Library``.  I encourage
you to still list all these in a single requirement file; it is the
nature of Python programs that there are implicit bindings *directly*
between MyApp and Library.  For instance, Framework might expose one
of Library's objects, and so if Library is updated it might directly
break MyApp.  If that happens you can update the requirements file to
force an earlier version of Library, and you can do that without
having to re-release MyApp at all.

Read the `requirements file format`_ to learn about other features.

Freezing Requirements
=====================

So you have a working set of packages, and you want to be able to install them
elsewhere.  `Requirements files`_ let you install exact versions, but it won't
tell you what all the exact versions are.

To create a new requirements file from a known working environment, use::

    $ pip freeze > stable-req.txt

This will write a listing of *all* installed libraries to ``stable-req.txt``
with exact versions for every library.  You may want to edit the file down after
generating (e.g., to eliminate unnecessary libraries), but it'll give you a
stable starting point for constructing your requirements file.

You can also give it an existing requirements file, and it will use that as a
sort of template for the new file.  So if you do::

    $ pip freeze -r devel-req.txt > stable-req.txt

it will keep the packages listed in ``devel-req.txt`` in order and preserve
comments.

The _`requirements file format`
===============================

The requirements file is a way to get pip to install specific packages
to make up an *environment*.  This document describes that format.  To
read about *when* you should use requirement files, see `Requirements
Files <./#requirements-files>`_.

Each line of the requirements file indicates something to be
installed.  For example::

    MyPackage==3.0

tells pip to install the 3.0 version of MyPackage.

You can also request `extras`_ in the requirements file::

    MyPackage==3.0 [PDF]

.. _extras: http://peak.telecommunity.com/DevCenter/setuptools#declaring-extras-optional-features-with-their-own-dependencies

Packages may also be installed in an "editable" form.  This puts the
source code into ``src/distname`` (making the name lower case) and
runs ``python setup.py develop`` on the package.  To indicate
editable, use ``-e``, like::

    -e svn+http://svn.myproject.org/svn/MyProject/trunk#egg=MyProject

The ``#egg=MyProject`` part is important, because while you can
install simply given the svn location, the project name is useful in
other places.

You can also specify the egg name for a non-editable url. This is useful to
point to HEAD locations on the local filesystem:

    file:///path/to/your/lib/project#egg=MyProject

or relative paths:

    file:../../lib/project#egg=MyProject

If you need to give pip (and by association easy_install) hints
about where to find a package, you can use the ``-f``
(``--find-links``) option, like::

    $ pip -f http://someserver.org/index-of-packages MyPackage==3.0

Pip will then look for a link at http://someserver.org/index-of-packages
that matches version ``3.0`` of ``MyPackage`` -- the link should be
like ``MyPackage-3.0.tar.gz``.

And if you want to install from a tarball or zip file with a direct link,
you don't need ``-f`` option, you just need to pass the absolute url, like::

    $ pip install http://someserver.org/packages/MyPackage-3.0.tar.gz


Version Control
---------------

Right now pip knows of the following major version control systems:

Subversion
~~~~~~~~~~

Pip supports the URL schemes ``svn``, ``svn+svn``, ``svn+http``, ``svn+https``, ``svn+ssh``.
You can also give specific revisions to an SVN URL, like::

    -e svn+svn://svn.myproject.org/svn/MyProject#egg=MyProject
    -e svn+http://svn.myproject.org/svn/MyProject/trunk@2019#egg=MyProject

which will check out revision 2019.  ``@{20080101}`` would also check
out the revision from 2008-01-01. You can only check out specific
revisions using ``-e svn+...``.

Git
~~~

Pip currently supports cloning over ``git``, ``git+http`` and ``git+ssh``::

    -e git://git.myproject.org/MyProject.git#egg=MyProject
    -e git+http://git.myproject.org/MyProject/#egg=MyProject
    -e git+ssh://git@myproject.org/MyProject/#egg=MyProject

Passing branch names, a commit hash or a tag name is also possible::

    -e git://git.myproject.org/MyProject.git@master#egg=MyProject
    -e git://git.myproject.org/MyProject.git@v1.0#egg=MyProject
    -e git://git.myproject.org/MyProject.git@da39a3ee5e6b4b0d3255bfef95601890afd80709#egg=MyProject

Mercurial
~~~~~~~~~

The supported schemes are: ``hg+http``, ``hg+https``,
``hg+static-http`` and ``hg+ssh``::

    -e hg+http://hg.myproject.org/MyProject/#egg=MyProject
    -e hg+https://hg.myproject.org/MyProject/#egg=MyProject
    -e hg+ssh://hg@myproject.org/MyProject/#egg=MyProject

You can also specify a revision number, a revision hash, a tag name or a local
branch name::

    -e hg+http://hg.myproject.org/MyProject/@da39a3ee5e6b#egg=MyProject
    -e hg+http://hg.myproject.org/MyProject/@2019#egg=MyProject
    -e hg+http://hg.myproject.org/MyProject/@v1.0#egg=MyProject
    -e hg+http://hg.myproject.org/MyProject/@special_feature#egg=MyProject

Bazaar
~~~~~~

Pip supports Bazaar using the ``bzr+http``, ``bzr+https``, ``bzr+ssh``,
``bzr+sftp``, ``bzr+ftp`` and ``bzr+lp`` schemes::

    -e bzr+http://bzr.myproject.org/MyProject/trunk/#egg=MyProject
    -e bzr+sftp://user@myproject.org/MyProject/trunk/#egg=MyProject
    -e bzr+ssh://user@myproject.org/MyProject/trunk/#egg=MyProject
    -e bzr+ftp://user@myproject.org/MyProject/trunk/#egg=MyProject
    -e bzr+lp:MyProject#egg=MyProject

Tags or revisions can be installed like this::

    -e bzr+https://bzr.myproject.org/MyProject/trunk/@2019#egg=MyProject
    -e bzr+http://bzr.myproject.org/MyProject/trunk/@v1.0#egg=MyProject

Recursive Requirements
----------------------

If you wish, you can also refer to other requirements files, like::

    -r Pylons-requirements.txt

This gives you a way of abstracting out sets of requirements.  This
isn't, however, very friendly with `frozen requirements
<./#freezing-requirements>`_, as everything in
``Pylons-requirements.txt`` will show up in your frozen file.

Indexes, find-links
-------------------

You can also provide values for the ``--index-url`` and ``--find-links``
options in your requirement files, like::

    --index-url http://example.com/private-pypi/

Note that using ``--index-url`` removes the use of `PyPI
<http://pypi.python.org>`_, while using ``--extra-index-url`` will add
additional indexes.

``--find-links`` is more ad-hoc; instead of a complete "index", you
only need an HTML page of links to available packages.  Simply by
putting all your private packages in a directory and using the Apache
auto-index, you can publish your packages so pip can find them.
``--find-links`` is always additive; pip looks at everything it can
find.  Use it like::

    --find-links http://example.com/private-packages/

Note that all these options must be on a line of their own.

## lightning-extension 1.0~b2+build2+nobinonly

=== debian/changelog ===
lightning-extension (1.0~b2+build2+nobinonly-0ubuntu2) maverick; urgency=low

  * Fix FTBFS on i386 by building with --disable-crashreporter
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Sep 2010 23:16:35 +0100

lightning-extension (1.0~b2+build2+nobinonly-0ubuntu1) maverick; urgency=low

  * Resurrect Lightning package from Karmic and update to 1.0 b2, to
    support Thunderbird 3.1 (CALENDAR_1_0b2_BUILD2)
    - Fixes LP: #531867

  * The packaging is basically rewritten, but the notable changes are:
    - We no longer ship the standalone Sunbird application - this is
      deprecated upstream and will see no more releases.
    - Source is renamed to lightning-extension (from lightning-sunbird).
      The old source package name makes no sense now.
    - Ported to debhelper v7, and simplified significantly now that 
      we are only building xpi's.
    - Binary package names have been updated according to the Debian Mozilla
      Extensions policy. There are no transitional packages provided, as
      Lightning was missing entirely from Lucid. This means that any
      backport to Lucid will require the addition of transitional packages
      to migrate from the old package names in Karmic.
    - We use the Thunderbird SDK now rather than building the entire Mozilla
      toolkit. This saves a significant amount of build-time.

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Sep 2010 23:49:45 +0100

lightning-sunbird (0.9+nobinonly-0ubuntu3) karmic; urgency=low

  [ John Vivirito ]
  * Fixes (LP: #178785)
    - debian/rules: Added build option --enable-official-branding to build with official branding 
    - debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors
    - debian/patches: Updated series
  * Fixes (LP: #399400)
    - debian/rules: Removed the convert icon section
    - debian/sunbird.links: Adjusted link to use the 128 icon
  * Fixes (LP: #401165)
    - debian/control: Removed GCC and GCC++ from build-deps
    - debian/rules: Commented out GCC and GCC++ lines to build using default
    - debian/patches: Added ftbfs_gcc44_elif.patch to fix FTBFS
    - debian/patches/series: Updated
  * Fixes (LP: #385325) crash in JS due to usage of wrong floating point number$
    - debian/patches: Added bz322806_arm-vfp-2538:3f78d5e894bc
    - debian/patches/series: Updated
  * Fixes (LP: #378754)
    - debian/control: Fixed typo in calendar-google-provider description.
  * Fixes (LP: #358084): add arm(el) xpcom patches from thunderbird package
    - add debian/patches/18_arm_xpcom_unused_attribute.dpatch
    - add debian/patches/38_arm_xpcom_optim.dpatch
    - add debian/patches/bz339782_cvs_xptcinvoke_arm_backport_1.13.patch
    - update debian/patches/series
  * debian/patches:
    - Add debian/patches/412610_attachment_309958.patch: to prevent crash on MAX_PATH
    - update debian/patches/series

 -- John Vivirito <gnomefreak@ubuntu.com>  Fri, 21 Aug 2009 10:57:02 -0400

lightning-sunbird (0.9+nobinonly-0ubuntu2) jaunty; urgency=low

  [ John Vivirito ]
  * Fixes (LP: #178785)
  * debian/rules: Added build option --enable-official-branding to build with official branding 
  * debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors

  [ Alexander Sack ]
  * fix LP: #210534 - bad swedish translation in sunbird.desktop; we
    apply improved translation by Daniel Nylander
    - update debian/sunbird.desktop  

 -- John Vivirito <gnomefreak@ubuntu.com>  Wed, 08 Apr 2009 05:04:57 -0400

lightning-sunbird (0.9+nobinonly-0ubuntu1) jaunty; urgency=low

  [ Alexander Sack <asac@ubuntu.com> ]
  * improve update-orig: rule to properly remove.nonbinonly.sh stuff
    - update debian/rules
  * package calendar-timezones extension
    - update debian/rules
    - update debian/control
    - add debian/calendar-timezones.links
  * google calendar support; we introduce a recommended extension package
    called google-calendar-provider, which provides read/write capability
    for google calendars in sunbird/iceowl and lightning-extension
    - update debian/control
    - update debian/rules
    - add debian/calendar-google-provider.links

  [ John Vivirito <gnomefreak@ubuntu.com> ]
  * New upstream release version 0.9
  * debian/patches: Removed bzXXX_calendar_missing_EXTRA_SCRIPTS_install.patch
    - It was applied upstream
  * debian/patches: Added bzXXX_ftbfs_fontconfig.patch to fix FTBFS
  * debian/patches/series: Removed bzXXX_calendar_missing_EXTRA_SCRIPTS_install.patch
  * debian/patches/series: Updated to add bzXXX_ftbfs_fontconfig.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 12 Jan 2009 14:51:53 +0100

lightning-sunbird (0.8+nobinonly-0ubuntu1) intrepid; urgency=low

  * remove patches applied upstream
    - drop debian/patches/bz399589_fix_missing_symbol_with_new_nss.patch
    - update debian/patches/series
  * update configure patch
    - update debian/patches/configure-autoconf2-13-reconfigure.patch
  * add missing install:: targets for various calendar js/ files and icons to
    upstream build system
    - update debian/patches/bzXXX_calendar_missing_EXTRA_SCRIPTS_install.patch
    - update debian/patches/series
  * create empty chrome.manifest file in sunbird extension for lightning hook
    to prevent chrome registration failure
    - add debian/patches/bzXXX_calendar_lightning_hook_missing_manifest.patch
    - update debian/patches/series
  * fix sunbird.install debhelper file to include new sunbird extension that
    hooks into lightning and to install all defaults/ files; further the file
    was restructured to improve legibility
    - update debian/sunbird.install

 -- Alexander Sack <asac@ubuntu.com>  Mon, 02 Jun 2008 12:16:31 +0200

lightning-sunbird (0.7+nobinonly-0ubuntu3) hardy; urgency=low

  * debian/sunbird.desktop: Fix desktop-file-validate warnings
    (LP: #194970)

 -- Saïvann Carignan <oxmosys@gmail.com>  Wed, 26 Mar 2008 20:42:59 -0400



=== debian/control ===
Source: lightning-extension
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), 
	pkg-config, 
	zip, 
	thunderbird-dev (>= 3.1), 
	libnspr4-dev (>= 4.7.3), 
	mozilla-devscripts (>= 0.10~), 
	autoconf2.13, 
	libgtk2.0-dev (>= 2.10.0),
	libxt-dev, 
	libidl-dev (>= 0.8.0)
Standards-Version: 3.9.1

Package: xul-ext-lightning
Architecture: any
Depends: xul-ext-calendar-timezones, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}, xul-ext-gdata-provider
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}, mail-reader, imap-client
Suggests: latex-xft-fonts 
Description: Calendar Extension for Thunderbird
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.

Package: xul-ext-calendar-timezones
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Description: Calendar Extension for Thunderbird - Timezone data
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.
 .
 This package provides timezone data. It's an essential component if you want 
 to use all calendaring features.

Package: xul-ext-gdata-provider
Architecture: all
Depends: xul-ext-lightning, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Description: Calendar Extension for Thunderbird - Google Calendar support
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.
 .
 This package provides Google Calendar support. It's a recommended component 
 if you want to connect to your google calendar.

=== debian/rules ===
#!/usr/bin/make -f

XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-3.1.* | tail -n 1)
XPI_STAGE	:=	mozilla/dist/xpi-stage
XPI_FILES = \
	lightning \
	calendar-timezones \
	gdata-provider \
	$(NULL)

DEB_CONFIGURE_USER_FLAGS = 				\
	--enable-application=calendar			\
	--with-libxul-sdk=$(XUL_SDK_DIR)		\
	--with-system-libxul				\
	--with-system-nspr				\
	--with-system-nss				\
	--disable-strip					\
	--disable-strip-libs				\
	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
	--disable-debug 				\
	--enable-official-branding			\
	--disable-sunbird				\
	--disable-ogg					\
	--disable-wave					\
	--disable-dbus					\
	--disable-libnotify				\
	--disable-necko-wifi				\
	--disable-crashreporter				\
	$(NULL)

%:
	dh $@ --with xul-ext

debian/stamp-autotools-moz:
	if [ ! -e $(CURDIR)/configure ]; then \
		`which autoconf2.13`; \
	fi
	if [ ! -e $(CURDIR)/mozilla/configure ]; then \
		cd mozilla; `which autoconf2.13`; \
	fi
	touch $@

override_dh_auto_configure: debian/stamp-autotools-moz
	dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)

override_dh_auto_install:
	$(foreach xpi,$(XPI_FILES),install-xpi -p xul-ext-$(xpi) $(XPI_STAGE)/$(xpi).xpi;)

override_dh_auto_clean:
	rm -f debian/stamp-autotools-moz
	dh_auto_clean

## lightning-extension 1.0~b4~hg20110607r7804+nobinonly

=== debian/changelog ===
lightning-extension (1.0~b4~hg20110607r7804+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot from the comm-miramar branch for compatibility
    with the current Thunderbird beta

  * Build with --disable-webm and --disable-libjpeg-turbo, to avoid needing
    a build-depends on yasm
    - update debian/rules
  * Add useless build-dep on mesa-common-dev, it's mandatory to be able to
    configure lightning, even though it doesn't need it
    - update debian/control
  * Look for any version of the Thunderbird SDK
    - update debian/rules
  * Don't build with --with-system-nspr and --with-system-nss - thunderbird
    doesn't use these, so we just get everything from the SDK
    - update debian/rules
  * Build with --enable-chrome-format=jar. The calendar build.mk should
    probably specify a default here
    - update debian/rules
  * Build with --enable-libxul to force JS_SHARED_LIBRARY=0 and stop some
    makefile targets depending on a shared libmozjs
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 07 Jun 2011 18:40:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 	autoconf2.13, 
 	libgtk2.0-dev (>= 2.10.0),
 	libxt-dev, 
-	libidl-dev (>= 0.8.0)
+	libidl-dev (>= 0.8.0),
+    mesa-common-dev
 Standards-Version: 3.9.1
 
 Package: xul-ext-lightning

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-3.1.* | tail -n 1)
+XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \
 	lightning \
@@ -12,8 +12,6 @@
 	--enable-application=calendar			\
 	--with-libxul-sdk=$(XUL_SDK_DIR)		\
 	--with-system-libxul				\
-	--with-system-nspr				\
-	--with-system-nss				\
 	--disable-strip					\
 	--disable-strip-libs				\
 	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
@@ -26,6 +24,10 @@
 	--disable-libnotify				\
 	--disable-necko-wifi				\
 	--disable-crashreporter				\
+    	--disable-webm \
+    	--disable-libjpeg-turbo \
+    	--enable-chrome-format=jar \
+    	--enable-libxul \
 	$(NULL)
 
 %:

## lightning-extension 1.0~b4+build1+nobinonly

=== debian/changelog ===
lightning-extension (1.0~b4+build1+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the comm-miramar branch (CALENDAR_1_0b4_BUILD1)
  * Bump maxVersion to 5.*
    - add debian/patches/02_maxversion_bump.patch
    - update debian/patches/series
  * Bump thunderbird-dev build-dep to 5.0~b1
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 27 Jun 2011 14:58:20 +0100

## lightning-extension 1.0~b4+build2+nobinonly

=== debian/changelog ===
lightning-extension (1.0~b4+build2+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the miramar branch (CALENDAR_1_0b4_BUILD2)
  * Drop debian/patches/02_maxversion_bump.patch - fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 28 Jun 2011 10:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~), 
 	pkg-config, 
 	zip, 
-	thunderbird-dev (>= 3.1), 
+	thunderbird-dev (>= 5.0~b1), 
 	libnspr4-dev (>= 4.7.3), 
 	mozilla-devscripts (>= 0.10~), 
 	autoconf2.13,

## lightning-extension 1.0~b7+build1

=== debian/changelog ===
lightning-extension (1.0~b7+build1-0ubuntu1) oneiric; urgency=low

  * New upstream release from the release channel (CALENDAR_1_0b7_BUILD1)

  * Pass --mozilla-rev to client.py when creating the tarball
    - update debian/rules
  * Pull from comm-release rather than comm-miramar
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 26 Sep 2011 13:11:49 +0100

lightning-extension (1.0~b6+build2-0ubuntu1) oneiric; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_0b6_BUILD2)

  * Drop obsolete patch
    - remove debian/patches/03_maxversion.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/02_fix_system_libxul_build.patch
  * Include the files containing the mail/suite version numbers in the tarball,
    as they're used to populate the version requirements in the install.rdf
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Sep 2011 16:45:28 +0100

lightning-extension (1.0~b5+build3+repack-0ubuntu1) oneiric; urgency=low

  * Rebuild against current Thunderbird beta

  * Strip everything we don't need out of the tarball (Firefox, Thunderbird,
    Seamonkey), leaving just the calendar and build system. This gets the
    tarball down from 85MB to 6MB, which will make those carrier pigeons
    who carry the bits from my house to the archive much, much happier
    - update debian/rules
    - remove debian/remove-binonly.sh
  * Uploaded with a repacked tarball
  * Bump compat for the current beta
    - update debian/patches/03_maxversion.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Sep 2011 18:13:03 +0100

lightning-extension (1.0~b5+build3+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release from the miramar channel (CALENDAR_1_0b5_BUILD3)
  * Add a get-orig-source target

 -- Chris Coulson <chris.coulson@canonical.com>  Sat, 13 Aug 2011 00:30:58 +0100

lightning-extension (1.0~b5+build2+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream release (CALENDAR_1_0b5_BUILD2)
  * Update debian/patches/03_maxversion.patch to set maxVersion to 6.*
  * Update debian/patches/02_fix_system_libxul_build.patch to make
    building the extension from miramar with the Thunderbird from beta

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 27 Jul 2011 18:44:22 +0100

lightning-extension (1.0~b5~hg20110719r7996+nobinonly-0ubuntu3) oneiric; urgency=low

  * Really fix LP: #813776 - ensure that the maxVersion is correct for the
    timezones and gdata provider extensions
    - update debian/patches/03_maxversion.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 22 Jul 2011 11:38:38 +0100

lightning-extension (1.0~b5~hg20110719r7996+nobinonly-0ubuntu2) oneiric; urgency=low

  * Fix LP: #809757 - FTBFS on armel. Build with --disable-elf-hack, as it's
    basically a noop on Ubuntu anyway
    - update debian/rules
  * Fix LP: #813776 - maxVersion incorrect. Set to THUNDERBIRD_VERSION rather
    than hardcoding to 5.0.* for now
    - add debian/patches/03_maxversion.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jul 2011 21:59:57 +0100

lightning-extension (1.0~b5~hg20110719r7996+nobinonly-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot from the beta channel v1.0 B5 HG20110719R7996
  * Look in the correct location for xpt.py when using an external SDK
    - add debian/patches/02_fix_system_libxul_build.patch
    - update debian/patches/series
  * Build with --disable-tests
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jul 2011 16:04:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+COMM_REPO	:=	http://hg.mozilla.org/releases/comm-release
 XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \
@@ -14,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
+	--enable-optimize				\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\
@@ -24,10 +25,12 @@
 	--disable-libnotify				\
 	--disable-necko-wifi				\
 	--disable-crashreporter				\
-    	--disable-webm \
-    	--disable-libjpeg-turbo \
-    	--enable-chrome-format=jar \
-    	--enable-libxul \
+    	--disable-webm 					\
+    	--disable-libjpeg-turbo 			\
+    	--enable-chrome-format=jar 			\
+    	--enable-libxul 				\
+	--disable-tests					\
+	--disable-elf-hack				\
 	$(NULL)
 
 %:
@@ -51,4 +54,86 @@
 override_dh_auto_clean:
 	rm -f debian/stamp-autotools-moz
 	dh_auto_clean
-	
+
+# Below here for building the source tarball
+DIRS = \
+	bridge \
+	build \
+	calendar \
+	config \
+	mozilla/browser/config \
+	mozilla/build \
+	mozilla/config \
+	mozilla/toolkit/mozapps/installer \
+	other-licenses/branding/sunbird \
+	$(NULL)
+
+FILES = \
+	aclocal.m4 \
+	allmakefiles.sh \
+	configure.in \
+	ldap/sdks/c-sdk/Makefile.in \
+	ldap/xpcom/Makefile.in \
+	mail/config/version.txt \
+	Makefile.in \
+	mozilla/aclocal.m4 \
+	mozilla/allmakefiles.sh \
+	mozilla/configure.in \
+	mozilla/extensions/build.mk \
+	mozilla/extensions/Makefile.in \
+	mozilla/ipc/app/defs.mk \
+	mozilla/LEGAL \
+	mozilla/LICENSE \
+	mozilla/Makefile.in \
+	mozilla/netwerk/necko-config.h.in \
+	mozilla/nsprpub/config/make-system-wrappers.pl \
+	mozilla/probes/Makefile.in \
+	mozilla/probes/mozilla-trace.d \
+	mozilla/services/crypto/Makefile.in \
+	mozilla/services/makefiles.sh \
+	mozilla/services/Makefile.in \
+	mozilla/services/sync/locales/Makefile.in \
+	mozilla/services/sync/Makefile.in \
+	mozilla/services/sync/tests/Makefile.in \
+	mozilla/testing/testsuite-targets.mk \
+	mozilla/toolkit/locales/l10n.mk \
+	mozilla/toolkit/xre/make-platformini.py \
+	mozilla/xpcom/xpcom-config.h.in \
+	mozilla/xpcom/xpcom-private.h.in \
+	mozilla/xpfe/components/autocomplete \
+	suite/config/version.txt \
+	$(NULL)
+
+EXCLUDE = \
+	*.hg* \
+	*mozilla/config/*.exe \
+	*mozilla/config/*.pyc \
+	$(NULL)
+
+$(foreach path, $(EXCLUDE), $(eval EXCLUDE_PARAMS += --exclude $(path)))
+
+ifdef DEBIAN_TAG
+REV_ARGS	:= --comm-rev=$(DEBIAN_TAG) --mozilla-rev=$(DEBIAN_TAG)
+endif
+
+ifdef LOCAL_BRANCH
+COMM_REPO	:= $(shell echo $(LOCAL_BRANCH) | sed -n 's/\/\?$$//p')
+COMM_REPO_NAME	:= $(notdir $(COMM_REPO))
+MOZ_REPO	:= --mozilla-repo=$(dir $(COMM_REPO))/$(shell echo $(COMM_REPO_NAME) | sed -n 's/comm/mozilla/p')
+endif
+
+get-orig-source:
+	rm -rf tmp
+	mkdir tmp
+	hg clone $(COMM_REPO) tmp/lightning-extension
+	cd tmp/lightning-extension ; \
+		python client.py checkout $(REV_ARGS) $(MOZ_REPO)
+	cd tmp ; \
+		if [ -z $(VERSION) ] ; then \
+			ver=`cat $(CURDIR)/tmp/lightning-extension/calendar/sunbird/config/version.txt` ; \
+		else \
+			ver=$(VERSION) ; \
+		fi ; \
+		mv lightning-extension lightning-extension-$$ver ; \
+		tar -jvc $(EXCLUDE_PARAMS) -f lightning-extension_$$ver.orig.tar.bz2 $(addprefix lightning-extension-$$ver/, $(DIRS) $(FILES))
+	mv tmp/*.bz2 ../ && rm -rf tmp

## lightning-extension 1.0+build1

=== debian/changelog ===
lightning-extension (1.0+build1-0ubuntu2) precise; urgency=low

  * debian/control: Add ${xpi:Breaks} to enforce maximum XUL application
    versions.  (LP: #839130)

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 08 Nov 2011 16:31:02 -0500

lightning-extension (1.0+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (CALENDAR_1_0_BUILD1)

  * Add db/mork/Makefile.in to the tarball
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 07 Nov 2011 13:41:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	zip, 
 	thunderbird-dev (>= 5.0~b1), 
 	libnspr4-dev (>= 4.7.3), 
-	mozilla-devscripts (>= 0.10~), 
+	mozilla-devscripts (>= 0.29~), 
 	autoconf2.13, 
 	libgtk2.0-dev (>= 2.10.0),
 	libxt-dev, 
@@ -21,6 +21,7 @@
 Recommends: ${xpi:Recommends}, xul-ext-gdata-provider
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}, mail-reader, imap-client
+Breaks: ${xpi:Breaks}
 Suggests: latex-xft-fonts 
 Description: Calendar Extension for Thunderbird
  Lighting is the Mozilla Calendar extension for Thunderbird, based
@@ -34,6 +35,7 @@
 Recommends: ${xpi:Recommends}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
+Breaks: ${xpi:Breaks}
 Description: Calendar Extension for Thunderbird - Timezone data
  Lighting is the Mozilla Calendar extension for Thunderbird, based
  on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
@@ -49,6 +51,7 @@
 Recommends: ${xpi:Recommends}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
+Breaks: ${xpi:Breaks}
 Description: Calendar Extension for Thunderbird - Google Calendar support
  Lighting is the Mozilla Calendar extension for Thunderbird, based
  on Sunbird - the Mozilla Standalone Calendar application. It is tightly

## lightning-extension 1.1~b1+build2

=== debian/changelog ===
lightning-extension (1.1~b1+build2-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_1b1_BUILD2)

  * Refresh debian/patches/02_fix_system_libxul_build.patch
  * Drop debian/patches/03_build_with_tb9.patch
  * Add debian/patches/03_maxversion_override.patch to ensure compatibility
    with Thunderbird 9 point releases
  * Switch to comm-beta
    - update debian/rules
  * Add the new python IDL parser to the tarball
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 02 Dec 2011 13:54:07 +0000

lightning-extension (1.0+build1-0ubuntu3) precise; urgency=low

  * Rebuild against the current Thunderbird beta
  * Add patch to build against the Thunderbird 9 SDK, which doesn't have
    xpidl. Also bump maxVersion to 9.*
    - add debian/patches/03_build_with_tb9.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Nov 2011 15:12:21 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-COMM_REPO	:=	http://hg.mozilla.org/releases/comm-release
+COMM_REPO	:=	http://hg.mozilla.org/releases/comm-beta
 XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \
@@ -64,7 +64,10 @@
 	mozilla/browser/config \
 	mozilla/build \
 	mozilla/config \
+	mozilla/other-licenses/ply/ply \
 	mozilla/toolkit/mozapps/installer \
+	mozilla/xpcom/idl-parser \
+	mozilla/xpcom/typelib/xpt/tools \
 	other-licenses/branding/sunbird \
 	$(NULL)
 
@@ -72,6 +75,7 @@
 	aclocal.m4 \
 	allmakefiles.sh \
 	configure.in \
+	db/mork/Makefile.in \
 	ldap/sdks/c-sdk/Makefile.in \
 	ldap/xpcom/Makefile.in \
 	mail/config/version.txt \

## lightning-extension 1.1+build1

=== debian/changelog ===
lightning-extension (1.1+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (CALENDAR_1_1_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Dec 2011 23:19:15 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-COMM_REPO	:=	http://hg.mozilla.org/releases/comm-beta
+COMM_REPO	:=	http://hg.mozilla.org/releases/comm-release
 XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \

## lightning-extension 1.2~b1+build1

=== debian/changelog ===
lightning-extension (1.2~b1+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_2b1_BUILD1)
  * Refresh debian/patches/01_no_sunbird.patch
  * Bump maxVersion for lightning to 10.*, but drop changes to non-binary
    addons (gdata-provider / timezones) as these aren't needed anymore
    - update debian/patches/03_maxversion_override.patch
  * Add some additional mailnews makefiles to the tarball, to make the build
    system not sad anymore

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 12 Jan 2012 15:28:46 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-COMM_REPO	:=	http://hg.mozilla.org/releases/comm-release
+COMM_REPO	:=	http://hg.mozilla.org/releases/comm-beta
 XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \
@@ -79,6 +79,10 @@
 	ldap/sdks/c-sdk/Makefile.in \
 	ldap/xpcom/Makefile.in \
 	mail/config/version.txt \
+	mailnews/makefiles.sh \
+	mailnews/Makefile.in \
+	mailnews/base/Makefile.in \
+	mailnews/mime/public/Makefile.in \
 	Makefile.in \
 	mozilla/aclocal.m4 \
 	mozilla/allmakefiles.sh \

## lightning-extension 1.2~b2+build1

=== debian/changelog ===
lightning-extension (1.2~b2+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_2b2_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Jan 2012 14:30:58 +0000

## lightning-extension 1.2+build1

=== debian/changelog ===
lightning-extension (1.2+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (CALENDAR_1_2_BUILD1)
  * Drop 03_maxversion_override.patch. It's not needed for the release build

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 24 Jan 2012 12:24:33 +0000

## lightning-extension 1.3~b1+build1

=== debian/changelog ===
lightning-extension (1.3~b1+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_3b1_BUILD1)
  * Drop 02_fix_system_libxul_build.patch - this is fixed upstream
  * Add mozilla/mfbt to tarball

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 07 Feb 2012 12:00:41 +0000

## lightning-extension 1.3~b3+build1

=== debian/changelog ===
lightning-extension (1.3~b3+build1-0ubuntu1) precise; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_3b3_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Mar 2012 18:51:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	mozilla/browser/config \
 	mozilla/build \
 	mozilla/config \
+	mozilla/mfbt \
 	mozilla/other-licenses/ply/ply \
 	mozilla/toolkit/mozapps/installer \
 	mozilla/xpcom/idl-parser \

## lightning-extension 1.3+build1

=== debian/changelog ===
lightning-extension (1.3+build1-0ubuntu0.11.04.1) natty-proposed; urgency=low

  * New upstream stable release (CALENDAR_1_3_BUILD1) (LP: #972840)
  * Add mozilla/mfbt to tarball
  * Refresh debian/patches/01_no_sunbird.patch
  * Add some additional mailnews makefiles to the tarball, to make the build
    system not sad anymore
  * Add the new python IDL parser to the tarball
    - update debian/rules
  * Pull from comm-beta
    - update debian/rules
  * Add db/mork/Makefile.in to the tarball
    - update debian/rules
  * Pass --mozilla-rev to client.py when creating the tarball
    - update debian/rules
  * Include the files containing the mail/suite version numbers in the tarball,
    as they're used to populate the version requirements in the install.rdf
    - update debian/rules
  * Strip everything we don't need out of the tarball (Firefox, Thunderbird,
    Seamonkey), leaving just the calendar and build system. This gets the
    tarball down from 85MB to 6MB, which will make those carrier pigeons
    who carry the bits from my house to the archive much, much happier
    - update debian/rules
    - remove debian/remove-binonly.sh
  * Add a get-orig-source target
  * Build with --disable-tests
    - update debian/rules
  * Fix LP: #809757 - FTBFS on armel. Build with --disable-elf-hack, as it's
    basically a noop on Ubuntu anyway
    - update debian/rules
  * Bump thunderbird-dev build-dep to 5.0~b1
    - update debian/control
  * Build with --disable-webm and --disable-libjpeg-turbo, to avoid needing
    a build-depends on yasm
    - update debian/rules
  * Add useless build-dep on mesa-common-dev, it's mandatory to be able to
    configure lightning, even though it doesn't need it
    - update debian/control
  * Look for any version of the Thunderbird SDK
    - update debian/rules
  * Don't build with --with-system-nspr and --with-system-nss - thunderbird
    doesn't use these, so we just get everything from the SDK
    - update debian/rules
  * Build with --enable-chrome-format=jar. The calendar build.mk should
    probably specify a default here
    - update debian/rules
  * Build with --enable-libxul to force JS_SHARED_LIBRARY=0 and stop some
    makefile targets depending on a shared libmozjs
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 17 Apr 2012 02:48:27 -0500

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize				\
+	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\

## lightning-extension 1.4+build1

=== debian/changelog ===
lightning-extension (1.4+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream stable release (CALENDAR_1_4_BUILD1)
    - LP: #987305
  * Fix build with unversioned SDK path
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Apr 2012 13:32:34 +0100

lightning-extension (1.3+build1-0ubuntu1) precise; urgency=low

  * New upstream stable release (CALENDAR_1_3_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Mar 2012 11:00:46 +0000

## lightning-extension 1.5~b2+build1

=== debian/changelog ===
lightning-extension (1.5~b2+build1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_5b2_BUILD1)
    - LP: #1007556

  * fix LP: #996817 - Add a transitional package to remove the old
    lightning-extension package which still has files installed in
    /usr/lib/thunderbird/extensions
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 08 Jun 2012 01:06:18 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	zip, 
 	thunderbird-dev (>= 5.0~b1), 
 	libnspr4-dev (>= 4.7.3), 
-	mozilla-devscripts (>= 0.29~), 
+	mozilla-devscripts (>= 0.10~), 
 	autoconf2.13, 
 	libgtk2.0-dev (>= 2.10.0),
 	libxt-dev, 
@@ -21,7 +21,6 @@
 Recommends: ${xpi:Recommends}, xul-ext-gdata-provider
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}, mail-reader, imap-client
-Breaks: ${xpi:Breaks}
 Suggests: latex-xft-fonts 
 Description: Calendar Extension for Thunderbird
  Lighting is the Mozilla Calendar extension for Thunderbird, based
@@ -35,7 +34,6 @@
 Recommends: ${xpi:Recommends}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
-Breaks: ${xpi:Breaks}
 Description: Calendar Extension for Thunderbird - Timezone data
  Lighting is the Mozilla Calendar extension for Thunderbird, based
  on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
@@ -51,7 +49,6 @@
 Recommends: ${xpi:Recommends}
 Enhances: ${xpi:Enhances}
 Provides: ${xpi:Provides}
-Breaks: ${xpi:Breaks}
 Description: Calendar Extension for Thunderbird - Google Calendar support
  Lighting is the Mozilla Calendar extension for Thunderbird, based
  on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
@@ -60,3 +57,9 @@
  .
  This package provides Google Calendar support. It's a recommended component 
  if you want to connect to your google calendar.
+
+Package: lightning-extension
+Architecture: all
+Depends: xul-ext-lightning
+Description: Transitional package for xul-ext-lightning
+ This package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 COMM_REPO	:=	http://hg.mozilla.org/releases/comm-beta
-XUL_SDK_DIR	:=	$(shell ls -d /usr/lib/thunderbird-devel-* | tail -n 1)
+XUL_SDK_DIR	:=	/usr/lib/thunderbird-devel
 XPI_STAGE	:=	mozilla/dist/xpi-stage
 XPI_FILES = \
 	lightning \
@@ -15,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
+	--enable-optimize				\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\

## lightning-extension 1.6~b1+build1

=== debian/changelog ===
lightning-extension (1.6~b1+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_6b1_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 20 Jun 2012 23:50:32 +0100

lightning-extension (1.5~b2+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_5b2_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 21 May 2012 16:09:39 +0100

## lightning-extension 1.6+build1

=== debian/changelog ===
lightning-extension (1.6+build1-0ubuntu0.11.04.2) natty-security; urgency=low

  * New upstream stable release (CALENDAR_1_6_BUILD1) (LP: #1024564)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #995054 - Ensure the /usr/lib/thunderbird/extensions symlink
    exists on upgrade, which may not be the case when upgrading from a really
    old lightning version
    - add debian/lightning-extension.postinst

  [ Ben Collins <bcollins@ubuntu.com> ]
  * Fix LP: #1025387 - FTBFS: powerpc build fails
    - add debian/patches/fix-dtoa-build-on-ppc.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 16 Jul 2012 14:19:14 -0500

lightning-extension (1.5~b2+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_5b2_BUILD1)
    - LP: #1007556

  * fix LP: #996817 - Add a transitional package to remove the old
    lightning-extension package which still has files installed in
    /usr/lib/thunderbird/extensions
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 08 Jun 2012 00:58:50 -0500

lightning-extension (1.4+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (CALENDAR_1_4_BUILD1)
    - LP: #987305
  * Fix build with unversioned SDK path
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 20 Apr 2012 13:46:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize				\
+	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\

## lightning-extension 1.7~b3+build1

=== debian/changelog ===
lightning-extension (1.7~b3+build1-0ubuntu1) quantal; urgency=low

  * New upstream release from the beta channel (CALENDAR_1_7b3_BUILD1)

  * Add extra directories required by the build system to the tarball
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Aug 2012 17:19:51 +0100

lightning-extension (1.6+build1-0ubuntu1) quantal; urgency=low

  * New upstream stable release (CALENDAR_1_6_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Jul 2012 20:08:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
+	--enable-optimize				\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\
@@ -66,6 +66,9 @@
 	mozilla/config \
 	mozilla/mfbt \
 	mozilla/other-licenses/ply/ply \
+	mozilla/other-licenses/simplejson-2.1.1 \
+	mozilla/other-licenses/virtualenv \
+	mozilla/testing/mozbase \
 	mozilla/toolkit/mozapps/installer \
 	mozilla/xpcom/idl-parser \
 	mozilla/xpcom/typelib/xpt/tools \

## lightning-extension 1.7+build1

=== debian/changelog ===
lightning-extension (1.7+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release to support Thunderbird 15 (CALENDAR_1_7_BUILD1)
    - LP: #1042165

  * Add extra directories required by the build system to the tarball
    - update debian/rules
  * Drop fix-dtoa-build-on-ppc.patch, which is fixed upstream

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 20 Aug 2012 17:19:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	--with-system-libxul				\
 	--disable-strip					\
 	--disable-strip-libs				\
-	--enable-optimize				\
+	--enable-optimize="-pipe -w $(OPTFLAGS)"	\
 	--disable-debug 				\
 	--enable-official-branding			\
 	--disable-sunbird				\

## lightning-extension 1.8+build1

=== debian/changelog ===
lightning-extension (1.8+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release to support Thunderbird 16 (CALENDAR_1_8_BUILD1)
    - LP: #1062587

  * Add extra Makefiles that are needed for the build
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 03 Sep 2012 14:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~), 
 	pkg-config, 
 	zip, 
-	thunderbird-dev (>= 5.0~b1), 
+	thunderbird-dev (>= 14.0~), 
 	libnspr4-dev (>= 4.7.3), 
 	mozilla-devscripts (>= 0.10~), 
 	autoconf2.13,

=== debian/rules ===
--- 
+++ 
@@ -101,9 +101,13 @@
 	mozilla/nsprpub/config/make-system-wrappers.pl \
 	mozilla/probes/Makefile.in \
 	mozilla/probes/mozilla-trace.d \
+	mozilla/services/aitc/Makefile.in \
+	mozilla/services/common/Makefile.in \
+	mozilla/services/crypto/component/Makefile.in \
 	mozilla/services/crypto/Makefile.in \
 	mozilla/services/makefiles.sh \
 	mozilla/services/Makefile.in \
+	mozilla/services/notifications/Makefile.in \
 	mozilla/services/sync/locales/Makefile.in \
 	mozilla/services/sync/Makefile.in \
 	mozilla/services/sync/tests/Makefile.in \
